using System.Text.Json.Serialization;
using e_suite.Database.Core.Models;

namespace e_suite.API.Common.models;

public class GetFormTemplate : IGeneralId
{
    [JsonPropertyName("name")]
    public string Name { get; set; } = string.Empty;

    [JsonPropertyName("definition")]
    public string Definition { get; set; } = string.Empty;

    [JsonPropertyName("id")]
    public long Id { get; set; }

    [JsonPropertyName("guid")]
    public Guid Guid { get; set; }

    [JsonPropertyName("version")]
    public long Version { get; set; }

    [JsonPropertyName("customFieldDefinitions")]
    public List<CustomFieldDefinition> CustomFieldDefinitions { get; set; } = null!;
}